RedPill - the new loader for 6.2.4 - Discussion


Recommended Posts

1 minute ago, WiteWulf said:

No, you only get textcons on the web interface.

 

For serial output you need to ssh into the iLO and run 'vsp'

 

I can't remember if you need a full iLO license for this or not, but it's worth having anyway and you can get them for ~£10 on eBay.

I have full lic. my mine bios is old not like G9 where RBSU come like laptop bios, so I have to find little deep thanks now I don't need serial cable

Link to post
Share on other sites

No Serial
Only Putty with IP from ILO

 

you can have for free a 30day Trial Full ILO License.

 

in putty change unter Logging => All session output, to get all information from the GEN8

Edited by altas
Link to post
Share on other sites
Gen8 iLO doesn't come with full license, you have to buy a license code to unlock all the features. But like I say, I can't remember if the virtual serial port is part of that. I know remote media is.

you know internet is awesome place you have to search little deep for keys like i have esxi license lol


Sent from my iPhone using Tapatalk
Link to post
Share on other sites
14 minutes ago, WiteWulf said:

Gen8 iLO doesn't come with full license, you have to buy a license code to unlock all the features. But like I say, I can't remember if the virtual serial port is part of that. I know remote media is.

There is no license cross check , one can be installed on many  

  • Like 1
Link to post
Share on other sites
On 9/16/2021 at 4:33 AM, GhostlyCrowd said:

You wouldnt be willing to use you ninja module skills to get my update bricked netgear nas back up? 

ICHR7 chipset (NM10) intel and Marvell based nic. its a repurposed old Netgear ReadyNAS Ultra 2 RNDU2000 i had running on juns and updated it to 6.2.4 like a noob. If i could get 7.0.1 booting on it and migrate it that would be great. 

Also this rd.gz sucessfully booted my IBM X3650 but alas there is no M5110e sas drivers so it doesnt detect the disks, but all 6 nic ports do work (intel) so thanks for that :) 

hi there!

how did you update to 6.2.4 on rndu2000 i'm able only to install 6.2

thanks

Link to post
Share on other sites
1 hour ago, MaiuZ said:

hi there!

how did you update to 6.2.4 on rndu2000 i'm able only to install 6.2

thanks

 

What he's saying is he upgraded to 6.2.4 without reading the forums first, so I'm sure the system is currently a brick.  6.2.4 does not work with Jun's loader.

 

Link to post
Share on other sites
5 hours ago, mpuff said:

Does WOL work with this loader? (HP Microgen 8 )

I can wake-up my Intel SS4200 with "wol.exe". I also tried with Synology Assistant, but that only worked once. After that first try I couldn't login to the DSM, there was only a message saying no nas was found. I never used the Assistant wol before, maybe I made something wrong. With "wol.exe" I had no problem so far.

I'm not sure how the Gen8 will will behave, but generally wol works if you use third party tool. If you want to use the Assistant, maybe further work/testing is needed.

Edited by paro44
  • Like 1
Link to post
Share on other sites
2 hours ago, MaiuZ said:

hi there!

how did you update to 6.2.4 on rndu2000 i'm able only to install 6.2

thanks

I think if the nic is supported in the extensions from RedPill, then you can update to 6.2.4 or higher.

 

@thorgroup: Is there already a working extension for for nic's other than Intel (i.e. Marvel, Broadcom or Realtek)? I have seen virtio extension, but that is for virtual machines I guess.

Link to post
Share on other sites

So far my Gen8 Baremetal is working great using the B120i (AHCI) on 7.0-41222, I can't get my LSI 9207-4i4e (IT firmware) to work but I also don't see any speed difference at this moment. When I try 7.0.1-42218 it boots a little bit but then I get on Serial output -R-R-R-R-R-R and reboots.

Edited by Mixpower
Link to post
Share on other sites

 

36 minutes ago, Mixpower said:

So far my Gen8 Baremetal is working great using the B120i (AHCI) on 7.0-41222, I can't get my LSI 9207-4i4e (IT firmware) to work but I also don't see any speed difference at this moment. When I try 7.0.1-42218 it boots a little bit but then I get on Serial output -R-R-R-R-R-R and reboots.

 

This happened to me when I was using unsupported SAS card just curious are you adding drivers of mpt2sas? or you are using vanilla image.
If you have more drives then follow what thor group says

 

15 hours ago, ThorGroup said:

The reason why syno separates real SAS controllers is to offer .... hmm, a lot of hacks over their firmware and timing issues with LSI controllers. So in short emulating a true SAS type in syno will give us no benefits. Saying this we also, very cautiously, should probably make a recommendation: for anyone using a standard array of disks of 4-8 it's probably a better choice to go with a Marvell-based chip which works natively without drivers (and which syno uses as well). For bigger installations LSIs are still preferred (as they're cheap, work with low-cost used SAS drives, save on cabling etc etc).

Edited by psychoboi32
Link to post
Share on other sites
16 hours ago, ThorGroup said:

You probably installed too many drivers or found a bug causing a loop somewhere. You shouldn't really go above the space allocated (~50MB) as this is plenty for drivers you need on a single platform.

 

Also a quick note on this front: it only takes two of the SAS drivers to run out of space with the 918+ build, not sure if @pocopico did something wrong building them or if they're really just that big - they're significantly larger than their 3615 counterparts.  The 4.4.180plus mptsas driver alone is 6.76MB:

 

https://github.com/pocopico/rp-ext/blob/main/mptsas/releases/mptsas-4.4.180plus.tgz

 

Edited by tcs
Link to post
Share on other sites
23 minutes ago, psychoboi32 said:

 

 

This happened to me when I was using unsupported SAS card just curious are you adding drivers of mpt2sas? or you are using vanilla image.
If you have more drives then follow what thor group says

 

I'm using the mpt2sas drivers from pocopico and have 4x 2TB drives with 7.0-41222 ds3615xs image.

Link to post
Share on other sites
14 minutes ago, Mixpower said:

I'm using the mpt2sas drivers from pocopico and have 4x 2TB drives with 7.0-41222 ds3615xs image.

so it is working in 7.0 but not on 7.0.1? is I am right or did i misunderstood

one more thing what platform are you using? apollolake or bromlow

update
I read your previous comment and issues lies with mpt2sas driver, mine with mpt3sas driver it just works in this update

I thought mine using mpt3sas because i flashed mpt3 it mode but in reality it uses mpt2sas so mpt2sas working
lsmod and lspci out given other comments

Edited by psychoboi32
Link to post
Share on other sites
8 minutes ago, psychoboi32 said:

so it is working in 7.0 but not on 7.0.1? is I am right or did i misunderstood

one more thing what platform are you using? apollolake or bromlow

update
I read your previous comment and issues lies with mpt2sas driver, mine with mpt3sas driver it just works in this update

No it is not working with my LSI 9207-4i4e so I am now using the B120i set on AHCI,

which is just a software raid controller which is built-in with a Gen8 Microserver(e3-1265l v2).

 

And 7.0.1-42218 does not boot at all on my Gen8, this is all Bromolow as Apollolake is not compatible.

Edited by Mixpower
Link to post
Share on other sites

more searched on my system I found out this
user@nas:~$ lsmod | grep mpt
mptctl                 26085  0
mptsas                 38167  0
mptscsih               17934  1 mptsas
mptbase                62090  3 mptctl,mptsas,mptscsih
mpt3sas               140099  0
mpt2sas               137614  22

 

    DeviceName: Storage Controller
    Subsystem: Device [1028:1f1c]
    Kernel driver in use: mpt2sas

Link to post
Share on other sites
1 hour ago, psychoboi32 said:

more searched on my system I found out this
user@nas:~$ lsmod | grep mpt
mptctl                 26085  0
mptsas                 38167  0
mptscsih               17934  1 mptsas
mptbase                62090  3 mptctl,mptsas,mptscsih
mpt3sas               140099  0
mpt2sas               137614  22

 

    DeviceName: Storage Controller
    Subsystem: Device [1028:1f1c]
    Kernel driver in use: mpt2sas

If you have mpt2sas you don’t need mptsas modules - these are for old 3Gb SAS HBAs. 
 

what is your fdisk -l reporting ? 

Link to post
Share on other sites
17 hours ago, ThorGroup said:

Don't edit these files manually. You can set any options in these files by adding "synoinfo" section to your user_conf. There's an example in the repo. Any options you set will take priority over default ones. The automatic code takes care about figuring out which options to remove/add/modify and to do it in 4 different files across 2 environments.

 

Thank you to pointing me to that, you guys are to great 🙏. i am a noob when its comes to linux but right now i did manage to get it to work 👌. So right now i am trying to add a 64 GB usb flash drive as a internal drive ( fooling synology 🤫 ) to get manage my usbdrive as the way as internal drive. 

1.png.55b211b0eec16fb3b71cb5c1caf895de.png1.png.55b211b0eec16fb3b71cb5c1caf895de.png2.thumb.png.c38bc9eaf9ca8cb3770fdeddaaa8a73c.png

Link to post
Share on other sites
9 hours ago, scoobdriver said:

So I just booted RedPill DS3615XS 7.0.1 42218 , as baremetal on my HP G8 MS , with onboard NIC , both ports ,and LSI card in IT mode

used @pocopico tg3 and mpt2sas . 

 

(It did a migration , spare drive I used must have already had a 6.x build installed) 

 

both network ports are good . 

HDD on LSI detected, smart working etc . 

 

like @RedwinX the first first drive take sdb rather than sda , not sure if this would be an issue other than cosmetic , I assume everything would just be moved up so 8th drive would become sdi rather than sdh ? 

 

I'm going to convert the image to VMDK now and try passthrough on the card on Esxi 


so after a successful test on baremetal G8 with LSI card 2308 card and 7.0.1 42218 , I wanted to give esxi and passthrough a go. 
(First I upgraded my esxi from 6.7 to 7.0.3 , I’d not previously attempted this as I didn’t think the hba/ LSI card was supported, but on @Orphée advise I was told I would be able to pass it through… well he was correct. (The drive also showed up in esxi data store, before I enabled pass through which I wasn’t expecting ) 

With my LSI passed through (with same disk I had tested the Baremetal install on ) and a disk on the onboard b120i sata for the datastore/boot loader , I converted the exact same image i used earlier to vmdk and set up the vm. (Had to reserve ram) 

 

I powered up and it booted my previous Baremetal build in the VM, no migration needed or anything ! 
 

This gives me massive confidence to move my current ‘everyday system’ to esxi and 7.0.1 when the time comes. 
can’t thank the community and support here enough. 
iv’e just restored some media and my Plex docker to this test VM (hyper backup) , and was up and running within 10 min , and the fam have been watching Plex content from this new build for the last hour, so all seems good so far ! 
 

just to note the issue with 1st disk taking sdb persists (no impact to me at the moment)
 

  • Like 2
Link to post
Share on other sites
15 hours ago, taiziccf said:

 

OrpheeGT repo do not have virtio for 7.0.1-42218.

 

you can use my repo if you want

 


        {
            "id": "apollolake-7.0.1-42218",
            "platform_version": "apollolake-7.0.1-42218",
            "user_config_json": "apollolake_user_config.json",
            "docker_base_image": "debian:10-slim",
            "compile_with": "toolkit_dev",
            "redpill_lkm_make_target": "prod-v7",
            "downloads": {
                "kernel": {
                    "url": "https://sourceforge.net/projects/dsgpl/files/Synology%20NAS%20GPL%20Source/25426branch/apollolake-source/linux-4.4.x.txz/download",
                    "sha256": "af815ee065775d2e569fd7176e25c8ba7ee17a03361557975c8e5a4b64230c5b"
                },
                "toolkit_dev": {
                    "url": "https://sourceforge.net/projects/dsgpl/files/toolkit/DSM7.0/ds.apollolake-7.0.dev.txz/download",
                    "sha256": "d349fa644392d4cfab8191243ee38aaa32bd517208c144678e0c855cb5a619ea"
                }
            },
            "redpill_lkm": {
                "source_url": "https://github.com/RedPill-TTG/redpill-lkm.git",
                "branch": "master"
            },
            "redpill_load": {
                "source_url": "https://github.com/chchia/redpill-load.git",
                "branch": "develop"
            }
        } 

 

 

Thanks to you, it was solved well.

Link to post
Share on other sites
6 hours ago, scoobdriver said:

o after a successful test on baremetal G8 with LSI card 2308 card and 7.0.1 42218 , I wanted to give esxi and passthrough a go. 
(First I upgraded my esxi from 6.7 to 7.0.3 , I’d not previously attempted this as I didn’t think the hba/ LSI card was supported, but on @Orphée advise I was told I would be able to pass it through… well he was correct. (The drive also showed up in esxi data store, before I enabled pass through which I wasn’t expecting ) 

This is something I wanted to test/confirm.

The SAS2308 may use mpt3sas driver on ESXi, if so the disk will be detected.

VMWare dropped only mpt2sas support.

Edited by Orphée
Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.